name: PC817
variations: DIP, SMD
description: optocoupler, photocoupler

pinout:
  Anode: 1
  Cathode: 2
  Emitter: 3
  Collector: 4

schematic:
  symbol: IC
  options: optocoupler
  left: Anode, Cathode
  right: Collector, Emitter

housing@DIP:
  pattern: DIP
  leadCount: 4
  pitch: 2.54
  bodyWidth: 6.5
  bodyLength: 4.58
  height: 4.0
  leadWidth: 0.5
  leadLength: 2.7
  leadHeight: 0.26
  leadSpan: 7.62

housing@SMD:
  pattern: SOP
  height: 3.5
  leadCount: 4
  pitch: 2.54
  bodyWidth: 6.5
  bodyLength: 4.58
  leadLength: 1.0
  leadWidth: 1.2
  leadSpan: 10.0
